<h2>Methods run, sorted chronologically</h2><h3>&gt;&gt; means before, &lt;&lt; means after</h3><p/><br/><em>Default suite</em><p/><small><i>(Hover the method name to see the test class name)</i></small><p/>
<table border="1">
<tr><th>Time</th><th>Delta (ms)</th><th>Suite<br>configuration</th><th>Test<br>configuration</th><th>Class<br>configuration</th><th>Groups<br>configuration</th><th>Method<br>configuration</th><th>Test<br>method</th><th>Thread</th><th>Instances</th></tr>
<tr bgcolor="f1baf5">  <td>23/01/27 20:28:23</td>   <td>0</td> <td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td title="Assignment2.categories(java.lang.String, java.lang.String)[pri:2, instance:assignment.Assignment2@7690781]">categories</td> 
  <td>main@1899223686</td>   <td></td> </tr>
<tr bgcolor="f1baf5">  <td>23/01/27 20:30:41</td>   <td>137968</td> <td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td title="Assignment2.logOut()[pri:5, instance:assignment.Assignment2@7690781]">logOut</td> 
  <td>main@1899223686</td>   <td></td> </tr>
<tr bgcolor="f1baf5">  <td>23/01/27 20:27:51</td>   <td>-32101</td> <td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td title="Assignment2.login()[pri:1, instance:assignment.Assignment2@7690781]">login</td> 
  <td>main@1899223686</td>   <td></td> </tr>
<tr bgcolor="f1baf5">  <td>23/01/27 20:29:40</td>   <td>76970</td> <td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td title="Assignment2.manfacturers(java.lang.String, java.lang.String)[pri:4, instance:assignment.Assignment2@7690781]">manfacturers</td> 
  <td>main@1899223686</td>   <td></td> </tr>
<tr bgcolor="f1baf5">  <td>23/01/27 20:29:18</td>   <td>54797</td> <td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td title="Assignment2.product()[pri:3, instance:assignment.Assignment2@7690781]">product</td> 
  <td>main@1899223686</td>   <td></td> </tr>
<tr bgcolor="f1baf5">  <td>23/01/27 20:27:34</td>   <td>-48908</td> <td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td title="&gt;&gt;Assignment2.setUp()[pri:0, instance:assignment.Assignment2@7690781]">&gt;&gt;setUp</td> 
<td>&nbsp;</td>  <td>main@1899223686</td>   <td></td> </tr>
<tr bgcolor="f1baf5">  <td>23/01/27 20:27:51</td>   <td>-31693</td> <td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td title="&gt;&gt;Assignment2.setUp()[pri:0, instance:assignment.Assignment2@7690781]">&gt;&gt;setUp</td> 
<td>&nbsp;</td>  <td>main@1899223686</td>   <td></td> </tr>
<tr bgcolor="f1baf5">  <td>23/01/27 20:28:58</td>   <td>34795</td> <td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td title="&gt;&gt;Assignment2.setUp()[pri:0, instance:assignment.Assignment2@7690781]">&gt;&gt;setUp</td> 
<td>&nbsp;</td>  <td>main@1899223686</td>   <td></td> </tr>
<tr bgcolor="f1baf5">  <td>23/01/27 20:29:25</td>   <td>61849</td> <td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td title="&gt;&gt;Assignment2.setUp()[pri:0, instance:assignment.Assignment2@7690781]">&gt;&gt;setUp</td> 
<td>&nbsp;</td>  <td>main@1899223686</td>   <td></td> </tr>
<tr bgcolor="f1baf5">  <td>23/01/27 20:30:38</td>   <td>135560</td> <td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td title="&gt;&gt;Assignment2.setUp()[pri:0, instance:assignment.Assignment2@7690781]">&gt;&gt;setUp</td> 
<td>&nbsp;</td>  <td>main@1899223686</td>   <td></td> </tr>
<tr bgcolor="f1baf5">  <td>23/01/27 20:27:51</td>   <td>-32078</td> <td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td title="&lt;&lt;Assignment2.tearDown()[pri:0, instance:assignment.Assignment2@7690781]">&lt;&lt;tearDown</td> 
<td>&nbsp;</td>  <td>main@1899223686</td>   <td></td> </tr>
<tr bgcolor="f1baf5">  <td>23/01/27 20:28:58</td>   <td>34694</td> <td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td title="&lt;&lt;Assignment2.tearDown()[pri:0, instance:assignment.Assignment2@7690781]">&lt;&lt;tearDown</td> 
<td>&nbsp;</td>  <td>main@1899223686</td>   <td></td> </tr>
<tr bgcolor="f1baf5">  <td>23/01/27 20:29:25</td>   <td>61722</td> <td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td title="&lt;&lt;Assignment2.tearDown()[pri:0, instance:assignment.Assignment2@7690781]">&lt;&lt;tearDown</td> 
<td>&nbsp;</td>  <td>main@1899223686</td>   <td></td> </tr>
<tr bgcolor="f1baf5">  <td>23/01/27 20:30:38</td>   <td>135457</td> <td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td title="&lt;&lt;Assignment2.tearDown()[pri:0, instance:assignment.Assignment2@7690781]">&lt;&lt;tearDown</td> 
<td>&nbsp;</td>  <td>main@1899223686</td>   <td></td> </tr>
<tr bgcolor="f1baf5">  <td>23/01/27 20:30:41</td>   <td>137971</td> <td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td title="&lt;&lt;Assignment2.tearDown()[pri:0, instance:assignment.Assignment2@7690781]">&lt;&lt;tearDown</td> 
<td>&nbsp;</td>  <td>main@1899223686</td>   <td></td> </tr>
</table>
